net.sf.jasperreports.types.date

## Class DateRangeSQLBetweenClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.SQLBetweenBaseClause
  - - net.sf.jasperreports.types.date.DateRangeSQLBetweenClause

- All Implemented Interfaces:
    JRClauseFunction

      public class DateRangeSQLBetweenClause
      extends SQLBetweenBaseClause

  Version:
    $Id: DateRangeSQLBetweenClause.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static DateRangeSQLBetweenClause` | `INSTANCE`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.SQLBetweenBaseClause

      `CLAUSE_TRUISM, POSITION_CLAUSE_ID, POSITION_DB_COLUMN, POSITION_LEFT_PARAMETER, POSITION_RIGHT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateRangeSQLBetweenClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClauseFunctionParameterHandler` | `createParameterHandler(JRQueryClauseContext queryContext, java.lang.String clauseId, java.lang.String parameterName, boolean left)`
    `static DateRangeSQLBetweenClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.SQLBetweenBaseClause

      `apply, getGreaterOperator, getLessOperator, handleGreaterClause, handleLessClause, isLeftClosed, isRightClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final DateRangeSQLBetweenClause INSTANCE

  - ### Constructor Detail

    - #### DateRangeSQLBetweenClause

          protected DateRangeSQLBetweenClause()

  - ### Method Detail

    - #### instance

          public static DateRangeSQLBetweenClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### createParameterHandler

          protected ClauseFunctionParameterHandler createParameterHandler(JRQueryClauseContext queryContext,
                                                              java.lang.String clauseId,
                                                              java.lang.String parameterName,
                                                              boolean left)

      Specified by:
        `createParameterHandler` in class `SQLBetweenBaseClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com